WKSChart::Position Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
WKSChart::Position Struct Reference

a cell position More...

`#include <WKSChart.h>`

## Public Member Functions
| Position (Vec2i pos=Vec2i(-1,-1), librevenge::RVNGString const &sheetName="")
| constructor
bool | valid () const
| return true if the position is valid
bool | valid (Position const &maxPos) const
| return true if the position is valid
librevenge::RVNGString | getCellName () const
| return the cell name
bool | operator== (Position const &pos) const
| operator==
bool | operator!= (Position const &pos) const
| operator!=

## Public Attributes
Vec2i | m_pos
| the cell column and row
librevenge::RVNGString | m_sheetName
| the cell sheet name
int | m_sheetId
| the cell sheet id

## Friends
std::ostream & | operator<< (std::ostream &o, WKSChart::Position const &pos)
| operator<<

## Detailed Description

a cell position

## Constructor & Destructor Documentation

## ◆ Position()

WKSChart::Position::Position | ( | Vec2i | pos = Vec2i(-1,-1),
|  | librevenge::RVNGString const & | sheetName = "" )
| inlineexplicit

constructor

Referenced by operator!=(), operator==(), and valid().

## Member Function Documentation

## ◆ getCellName()

librevenge::RVNGString WKSChart::Position::getCellName | ( |  | ) | const

return the cell name

## ◆ operator!=()

bool WKSChart::Position::operator!= | ( | Position const & | pos | ) | const
| inline

operator!=

## ◆ operator==()

bool WKSChart::Position::operator== | ( | Position const & | pos | ) | const
| inline

operator==

Referenced by operator!=().

## ◆ valid() [1/2]

bool WKSChart::Position::valid | ( |  | ) | const
| inline

return true if the position is valid

Referenced by getCellName(), WKSChart::Axis::operator<<, operator<<, WKSChart::Serie::operator<<, and valid().

## ◆ valid() [2/2]

bool WKSChart::Position::valid | ( | Position const & | maxPos | ) | const
| inline

return true if the position is valid

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | WKSChart::Position const & | pos )
| friend

operator<<

## Member Data Documentation

## ◆ m_pos

Vec2i WKSChart::Position::m_pos

the cell column and row

Referenced by getCellName(), operator<<, operator==(), Position(), valid(), and valid().

## ◆ m_sheetId

int WKSChart::Position::m_sheetId

the cell sheet id

Note
  can be used temporary if the sheet name is not known when reading a position, but you must before sending a chart, go through such positions to set the final spreadsheet name

Referenced by operator==(), Position(), and valid().

## ◆ m_sheetName

librevenge::RVNGString WKSChart::Position::m_sheetName

the cell sheet name

Referenced by getCellName(), operator<<, operator==(), Position(), and valid().

The documentation for this struct was generated from the following files:

- WKSChart.h
- WKSChart.cpp